Subject: "guix environment" does not warn about stopped jobs
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Thu, 15 Nov 2018 13:13:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

I use emacs in a terminal to hack on packages.
I start an emacs, press C-z to pause it after trying something
in bash I then build the package from the source tree
press fg to return to emacs
and so forth.

Typing guix environment will enter a new environment where apparently my 
paused emacs is not available.

Is this a bug?
Probably not.

Should we make guix environment warn/refuse to create the env. if 
stopped jobs exist?

Yes, I think so.

What do you think?

-- 
Cheers
Swedebugia